function mseq = mseqend(xEnd, grFactor, N)
% MSeqEnd: Construct a multiplicative sequence that ends with xEnd
% ---------------------------------------
% IN:
%   xEnd:       terminal value
%   grFactor    growth factor
%   N           no. of elements

% AUTHOR: Lutz Hendricks, 1994
% ---------------------------------------

    mseq = seqm(xEnd/grFactor^(N-1), grFactor, N);
    
    if 0
        if abs(mseq(N)-xEnd) > 1e-6
            abort('MSeqEnd failed')
        end
    end

% *** end function ***
