function grplot(DoPrint)

% *********  SWITCHES  *********

    ShowNumbers = 0;

% zetas
    zetas = [ 0.25, 0.3, 0.35, 0.4 ];

% ***  Calibration 1  ***
% gr for experiment with taxes (87)
    gr1_1 = [ 1.41, 1.65, 1.66, 1.78 ];
% gr for experiment 42
    gr1_2 = [ 2.38, 2.46, 2.29, 2.34 ];

    dGr1 = gr1_2 - gr1_1;

% ***  Calibration 52  ***
% gr for experiment with taxes (87)
    gr52_1 = [ 2.26, 1.86, 1.81, 1.86 ];
% gr for experiment 42
    gr52_2 = [ 3.67, 3.06, 2.83, 2.74 ];

    dGr52 = gr52_2 - gr52_1;


    plot( zetas, [dGr1; dGr52] );
    title('Figure 3 -- Impact of Spillover');
    xlabel('Spillover');
    ylabel('Change in Growth Rate')
    pause
    if DoPrint == 1
        print -dwin
    end
    close
    
    
    
% *********  Show Numbers to Import in SpreadSheet  **************

if  ShowNumbers == 1
    n = length(dGr1);
    for i = 1 : n
        tmp = sprintf('%9.4f    %9.4f    %9.4f', zetas(i), dGr1(i), dGr52(i));
        disp(tmp);
    end
end    
