function r = netr(MPK, tk, kDeduct, ddk)
% Compute after tax interest rate
% The same as rnet, but with slightly different inputs

    r = (1-tk) .* MPK - (1-kDeduct.*tk) .* ddk;

    if 1
        if  any(r < 0)
            matprint( [MPK', r'], 0, '     -MPK-       -r-' )
            warnmsg('BgpRW: Negative r')
        end
    end
    
