function popul = popsize( lastPop, popGrRate, TT )
% popsize: population size if lastPop are born today
% IN:
%   lastPop     = no. of people born today
%   popGrRate   = 1+pop.gr.rate
%   TT          = length of life

popul = sum( seqm(lastPop, 1/popGrRate, TT) );
