function t_pdavg
% Test pdavg()
% ---------------------------------------

% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------

% ****** Set up arbitrary vector ******

    T = 50;
    x = seqm(1,1.05,T);

% ****** Compute means ****************

    yMax = 110;
    yPerPd = yMax / T;
    yub = [ 10, 20, 30, 40, 50, 70, 90 ];
    [ xMean, xGrowth ] = pdavg(x, yub, yPerPd);

% ****** Plot  ********

    yrMean  = [ 5, 15, 25, 35, 45, 60, 80 ];
    pdMean  = yrMean ./ yPerPd;
    
    hold on;
    plot( pdMean, xMean, 'y+' );
    plot( 1:T, x, 'go' );
    hold off;
    pause;
    close;
    
    
% *** end function ***

