function util = ubequ(BT, bb, T)
% Compute utility due to bequests
% ---------------------------------------
% IN:
%   BT      size of bequest
%   bb      beta
%   T       lifetime
% OUT:
%   discounted utility due to bequests

% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------

% *** GLOBALS ***
    global bequ sig

    util = bb^T * bequ * BT^(1-sig) / (1-sig);



% *** end function ***
