function du = utildiff( util0, util1, sigIn )
% Compute welfare gain from going from util0 to util1
% as a proportional consumption growth factor

    global sig
    if nargin < 3
        sigma = sig;
    else
        sigma = sigIn;
    end

    du = (util0 ./ util1) .^ (1/(sigma-1));

